<transition name="fade">
	<div class="news-page">
		<LeftMenu :dataTransfer="data"></LeftMenu>
		<section class="news-cont">
			<h1 class="news-title" v-if="page.title.rendered">{{page.title.rendered}}</h1>
			<div class="news-content" v-html="page.content.rendered"></div>
			<a v-for="item in page.articles" :href="item.url" target="_blank"  class="newsitem">
				<div class="newsitem-cont">
					<div class="newsitem-body">
						<div class="newsitem-title">{{item.title}}</div>
						<div class="newsitem-content" v-if="item.description">{{item.description}}</div>
					</div>
					<div class="newsitem-meta">
						<div class="newsitem-source">{{item.source.name}}</div>
						<div class="newsitem-date">{{getDate(item.publishedAt)}}</div>
					</div>
				</div>
				<div class="newsitem-img-cont" v-if="item.urlToImage">
					<img class="newsitem-img" :src="item.urlToImage">
				</div>
			</a>
		</section>
	</div>
</transition>